### Signal

# Adw Sidebar::drop-enter

since: 1.9

#### Declaration

    GdkDragAction
    drop_enter (
      AdwSidebar* self,
      guint index,
      gpointer user_data
    )

#### Description [src]

Emitted when the pointer enters the item at `index`.

Applications can use this to set their default drop action even when `AdwSidebar:drop-preload` is set to `FALSE`.

See `GtkDropTarget::enter`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.9

#### Parameters

`index`

  Type: `guint`

  Index of the hovered item.

#### Return value

Type: `GdkDragAction`

The preferred action for the drop.